/**
 * <copyright>
 * </copyright>
 *
 * $Id: ConstantNodeValidator.java,v 1.1 2008-04-01 09:35:41 vmahe Exp $
 */
package orgomg.cwm.foundation.expressions.validation;


/**
 * A sample validator interface for {@link orgomg.cwm.foundation.expressions.ConstantNode}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface ConstantNodeValidator {
	boolean validate();

	boolean validateValue(String value);
}
